Name:           aboot-update
Version:        0.1
Release:        7%{?dist}
Summary:        Update aboot from kernel/initrd

License:        GPLv2+
Source1:        aboot-update
Source2:        90-aboot.install

Requires:       abootimg

%description
Update aboot partition when updating kernel

%prep
rm -rf %{name}-{%version}
mkdir %{name}-{%version}


%build
cd %{name}-{%version}


%install
cd %{name}-{%version}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_prefix}/lib/kernel/install.d
install -m755 %{SOURCE1} %{buildroot}%{_bindir}/aboot-update
install -m755 %{SOURCE2} %{buildroot}%{_prefix}/lib/kernel/install.d/90-aboot.install

%files
%{_bindir}/aboot-update
%{_prefix}/lib/kernel/install.d/90-aboot.install

%changelog
* Fri Aug 19 2022 Alexander Larsson <alexl@redhat.com>
- Initial version
